"""empty message

Revision ID: 99adad48daa0
Revises: 
Create Date: 2020-05-29 22:10:24.693457

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '99adad48daa0'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('categoria',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('nombre', sa.String(length=60), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('departamento',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('nombre', sa.String(length=120), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('organizacion',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('nombreUsuario', sa.String(length=50), nullable=True),
    sa.Column('contrasena', sa.String(length=50), nullable=True),
    sa.Column('email', sa.String(length=120), nullable=True),
    sa.Column('nombreContacto', sa.String(length=120), nullable=True),
    sa.Column('rubro', sa.String(length=120), nullable=True),
    sa.Column('ong', sa.Boolean(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('persona',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('nombre', sa.String(length=150), nullable=True),
    sa.Column('nombreUsuario', sa.String(length=100), nullable=True),
    sa.Column('contrasena', sa.String(length=100), nullable=True),
    sa.Column('email', sa.String(length=120), nullable=True),
    sa.Column('celular', sa.String(length=100), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('proyecto',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('nombre', sa.String(length=120), nullable=True),
    sa.Column('estado', sa.String(length=120), nullable=True),
    sa.Column('descripcion', sa.String(length=200), nullable=True),
    sa.Column('enlaceVideo', sa.String(length=120), nullable=True),
    sa.Column('numVotos', sa.Integer(), nullable=True),
    sa.Column('recaudacion', sa.Integer(), nullable=True),
    sa.Column('participantes', sa.Integer(), nullable=True),
    sa.Column('idProblematica', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('proyecto_x_persona',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('idProyecto', sa.Integer(), nullable=True),
    sa.Column('idPersona', sa.Integer(), nullable=True),
    sa.Column('esAnfitrion', sa.Boolean(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('region',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('nombre', sa.String(length=50), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('comentario',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('idProject', sa.Integer(), nullable=True),
    sa.Column('idPersona', sa.Integer(), nullable=True),
    sa.Column('textoComentario', sa.String(), nullable=True),
    sa.Column('fechaRegistro', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['idPersona'], ['persona.id'], ),
    sa.ForeignKeyConstraint(['idProject'], ['proyecto.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('problematica',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('nombre', sa.String(length=120), nullable=True),
    sa.Column('descripcion', sa.String(length=120), nullable=True),
    sa.Column('fecha', sa.DateTime(), nullable=True),
    sa.Column('idCategoria', sa.Integer(), nullable=True),
    sa.Column('idDepartamento', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['idCategoria'], ['categoria.id'], ),
    sa.ForeignKeyConstraint(['idDepartamento'], ['categoria.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('project_x_organizacion',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('idProyecto', sa.Integer(), nullable=True),
    sa.Column('idOrganizacion', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['idOrganizacion'], ['organizacion.id'], ),
    sa.ForeignKeyConstraint(['idProyecto'], ['proyecto.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('project_x_organizacion')
    op.drop_table('problematica')
    op.drop_table('comentario')
    op.drop_table('region')
    op.drop_table('proyecto_x_persona')
    op.drop_table('proyecto')
    op.drop_table('persona')
    op.drop_table('organizacion')
    op.drop_table('departamento')
    op.drop_table('categoria')
    # ### end Alembic commands ###
